#
# spec file for package xless
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _xorg7libs %{_lib}
%define _xorg7libs32 lib
%define _xorg7bin bin
%define _xorg7_mandir %{_mandir}
%define _xorg7pixmaps include
%define _xorg7libshare share
%define _xorg7_xkb %{_datadir}/X11/xkb
%define _xorg7_termcap %{_prefix}/lib/X11%{_sysconfdir}
%define _xorg7_serverincl %{_includedir}/xorg
%define _xorg7_fonts %{_datadir}/fonts
#%define _xorg7_config /usr/share/X11/config #use libshare macro
%define _xorg7_prefix %{_prefix}
Name:           xless
Version:        1.7
Release:        1258.12
Summary:        Text browser
License:        MIT
Group:          Productivity/Text/Utilities
URL:            http://freeware.sgi.com/source/xless/
Source:         xless-1.7.tar.bz2
Patch0:         xless-1.7.diff
Patch1:         xless-1.7-fonts.diff
Patch2:         xless-1.7-bindir.diff
Patch3:         xless-1.7-exit.diff
BuildRequires:  imake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xt)
Provides:       xless17

%description
xless 1.7 -- the well-known text browser. Necessary for displaying the
various HOWTOs.

%prep
%autosetup -p0

%build
xmkmf -a
%make_build CCOPTIONS="%{optflags}"

%install
install -d -m 755 %{buildroot}%{_prefix}/%{_xorg7bin}/
install -d -m 755 %{buildroot}/%{_xorg7_mandir}/man1
install -d -m 755 %{buildroot}%{_prefix}/%{_xorg7libshare}/X11/app-defaults
install -m 755 xless %{buildroot}%{_prefix}/%{_xorg7bin}/
install -m 644 xless.help %{buildroot}%{_prefix}/%{_xorg7libshare}/X11/
install -m 644 XLess.ad  %{buildroot}%{_prefix}/%{_xorg7libshare}/X11/app-defaults/XLess
install -m 644 XLess-co.ad %{buildroot}%{_prefix}/%{_xorg7libshare}/X11/app-defaults/XLess-color
install -m 644 xless.man %{buildroot}/%{_xorg7_mandir}/man1/xless.1x

%files
%docdir %{_xorg7_mandir}
%docdir %{_prefix}/openwin/man
%{_prefix}/%{_xorg7bin}/xless
%dir %{_prefix}/%{_xorg7libshare}/X11/app-defaults
%config %{_prefix}/%{_xorg7libshare}/X11/app-defaults/XLess
%config %{_prefix}/%{_xorg7libshare}/X11/app-defaults/XLess-color
%doc %{_prefix}/%{_xorg7libshare}/X11/xless.help
%{_xorg7_mandir}/man1/xless.1x*

%changelog
* Mon Feb  8 2021 Martin Pluskal <mpluskal@suse.com>
- Spec file modernisation
* Wed Oct  1 2014 crrodriguez@opensuse.org
- Cleanup BuildRequires, do not use xorg-x11-devel
* Tue Mar 27 2012 cfarrell@suse.com
- license update: MIT
  Use SPDX license
* Mon Nov  8 2010 coolo@novell.com
- remove support for pre-9.1
* Thu Aug  3 2006 lmichnovic@suse.cz
- fixed wrong install directory for pixmaps
- fixed implicit declaration of exit function (exit.diff)
- don't use icecream, build fails in most cases
* Wed Aug  2 2006 lmichnovic@suse.cz
- fixing defines where to find binary vi and lpr (bindir.diff)
* Wed Aug  2 2006 lmichnovic@suse.cz
- builds also with new X.org 7.x, detecting prefix in X.org
- building with icecream
- using RPM_OPT_FLAGS
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jun  1 2004 ro@suse.de
- remove xmore symlink (file present in xorg-x11 now)
* Fri May  7 2004 hmacht@suse.de
- added # norootforbuild in specfile
* Fri Jun 13 2003 mmj@suse.de
- /usr/X11R6/lib/X11/app-defaults is part of the filesystem
* Thu Mar 27 2003 pmladek@suse.cz
- fixed to use iso8859-2 fonts for related locales (fonts.diff)
- bzipped sources
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Wed Jun  7 2000 nadvornik@suse.cz
- sorted
* Tue Apr 25 2000 smid@suse.cz
- buildroot added
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Mar  3 1999 ro@suse.de
- don't redeclare strchr
* Thu Sep  3 1998 ro@suse.de
- catch macro strncpy for glibc
* Sun Feb 16 1997 bs@suse.de
- add symlink xmore
